log using industryregs.log,replace

/* look by industry
   look at whether value-added is what overall GDP (components) would have predicted
   look at whether L is what value-added and labor costs per worker would have predicted
   do decomposition */

* read in German info
use /Users/hunt/Desktop/Nervecenter/research/BPEA_recession/data/macro_q

tsset,clear
do ~/research/BPEA_recession/statprog/timevar

* whole economy, even though decomp doesn't make sense,
* since reg GDP on its comps (ignore, use 1st #s only)
gen lvax_r=lgdp_r
gen lvax_rl=lgdp_rl
gen lvax_rl2=lgdp_rl2
gen lvax_rl3=lgdp_rl3
gen lvax_rl4=lgdp_rl4
gen lemplx=lempl

do ~/research/BPEA_recession/statprog/decomp
clear

* manufacturing/industry
use /Users/hunt/Desktop/Nervecenter/research/BPEA_recession/data/macro_q
tsset,clear
do ~/research/BPEA_recession/statprog/timevar

gen lvax_r=lvaman_r
gen lvax_rl=lvaman_rl
gen lvax_rl2=lvaman_rl2
gen lvax_rl3=lvaman_rl3
gen lvax_rl4=lvaman_rl4
gen lemplx=lemplman

do ~/research/BPEA_recession/statprog/decomp
clear


* construction
use /Users/hunt/Desktop/Nervecenter/research/BPEA_recession/data/macro_q
tsset,clear
do ~/research/BPEA_recession/statprog/timevar

gen lvax_r=lvacons_r
gen lvax_rl=lvacons_rl
gen lvax_rl2=lvacons_rl2
gen lvax_rl3=lvacons_rl3
gen lvax_rl4=lvacons_rl4
gen lemplx=lemplcons

do ~/research/BPEA_recession/statprog/decomp
clear

* trade
use /Users/hunt/Desktop/Nervecenter/research/BPEA_recession/data/macro_q
tsset,clear
do ~/research/BPEA_recession/statprog/timevar

gen lvax_r=lvatrade_r
gen lvax_rl=lvatrade_rl
gen lvax_rl2=lvatrade_rl2
gen lvax_rl3=lvatrade_rl3
gen lvax_rl4=lvatrade_rl4
gen lemplx=lempltrade

do ~/research/BPEA_recession/statprog/decomp
clear

* finance
use /Users/hunt/Desktop/Nervecenter/research/BPEA_recession/data/macro_q
tsset,clear
do ~/research/BPEA_recession/statprog/timevar

gen lvax_r=lvafin_r
gen lvax_rl=lvafin_rl
gen lvax_rl2=lvafin_rl2
gen lvax_rl3=lvafin_rl3
gen lvax_rl4=lvafin_rl4
gen lemplx=lemplfin

do ~/research/BPEA_recession/statprog/decomp
clear

* services
use /Users/hunt/Desktop/Nervecenter/research/BPEA_recession/data/macro_q
tsset,clear
do ~/research/BPEA_recession/statprog/timevar

gen lvax_r=lvaserv_r
gen lvax_rl=lvaserv_rl
gen lvax_rl2=lvaserv_rl2
gen lvax_rl3=lvaserv_rl3
gen lvax_rl4=lvaserv_rl4
gen lemplx=lemplserv

do ~/research/BPEA_recession/statprog/decomp

drop timevar

* do regressions for manufacturing including expectations and counterfactuals
do ~/research/BPEA_recession/statprog/expectmanuf

* look at hours per worker on lhs
do ~/research/BPEA_recession/statprog/expecthrsworker

* now do same thing for whole economy
do ~/research/BPEA_recession/statprog/expectall

log close




